# 行情数据查询

- [GET获取产品的实时成交明细(Trade)](https://docs.infoway.io/rest-api/http-endpoints/get-trade.md): 获取股票、加密货币、外汇、能源、商品等所有产品的实时成交明细
- [GET获取产品的实时买卖盘口(Depth)](https://docs.infoway.io/rest-api/http-endpoints/get-depth.md): 获取股票、加密货币、外汇、能源、商品等所有产品的实时买卖盘口
- [POST 获取产品的历史/实时K线(Candles)](https://docs.infoway.io/rest-api/http-endpoints/get-candles.md): 获取股票、加密货币、外汇、能源、商品等所有产品的实时买卖盘口


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/rest-api/http-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
